local self_ID = "MiG-31"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

displayName  = _("MiG-31"),
fileMenuName = _("MiG-31"),
version		 = "2.5.6",
state		 = "installed",
info		 = _("The Mikoyan MiG-31, NATO reporting name Foxhound, is a supersonic interceptor aircraft developed for use by the Soviet Air Forces. The aircraft was designed by the Mikoyan design bureau as a replacement for the earlier MiG-25; the MiG-31 is based on and shares design elements with the MiG-25. The MiG-31 has the distinction of being among the fastest combat jets in the world. It continues to be operated by the Russian Air Force and the Kazakhstan Air Force following the end of the Cold War and the collapse of the Soviet Union in 1991."),





InputProfiles =
{
    ["MiG-31"] = current_mod_path .. '/Input/MiG-31',
},




Skins	=
	{
		{
			name	= _("MiG-31"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("MiG-31"),
			dir			    = "Missions",
		},
	},		
Options = 
	{
		{
			name		= _("MiG-31"),
			nameId		= "MiG-31",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("MiG-31"),
			type		= "MiG-31",
		},
	},		
})

mount_vfs_liveries_path(current_mod_path ..  "/Liveries")
mount_vfs_model_path   (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path (current_mod_path ..  "/Theme/ME")--for simulator loading window

mount_vfs_sound_path   (current_mod_path ..  "/Sounds")

local support_cockpit = current_mod_path..'/Cockpit/Scripts/'

----------------------------------------------------------------------------------------
MAC_flyable('MiG-31', support_cockpit, nil, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------

dofile(current_mod_path.."/Views.lua") --View Settings.

make_view_settings('MiG-31', ViewSettings, SnapViews) 

plugin_done()
